%define xmms_inputdir %(xmms-config --input-plugin-dir 2>/dev/null || echo %{_libdir}/xmms/Input)

Summary: X MultiMedia System input plugin to play speex files
Name: xmms-speex
Version: 0.9.1
Release: alt1_24
# Some files taken from other projects are GPLv2+, but the core is GPLv2 only
License: GPLv2
Group: Sound
# The offial home page has been missing since at least mid 2005...
#URL: http://jzb.rapanden.dk/projects/speex-xmms
#Source: http://jzb.rapanden.dk/pub/speex-xmms-%{version}.tar.gz
Source: speex-xmms-%{version}.tar.gz
Patch0: speex-xmms-0.9.1.patch
Patch1: speex-xmms-0.9.1-gcc4.patch
Patch2: speex-xmms-0.9.1-includes.patch
BuildRequires: xmms-devel libspeex-devel libogg-devel
Source44: import.info


%description
X MultiMedia System input plugin to play speex files.


%prep
%setup -q -n speex-xmms
%patch0 -p1
%patch1 -p1 -b .gcc4
%patch2 -p1 -b .includes


%build
%{__make} %{?_smp_mflags} CFLAGS="%{optflags} -fPIC"


%install
%{__make} install DESTDIR=%{buildroot}


%files
%doc COPYING README
%{xmms_inputdir}/libspeex.so


%changelog
* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_24
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_21
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_20
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_19
- initial fc import

